OVO Payment Integration
OVO is an e-Wallet payment method that serves as an alternative payment option for OVO users. This API reference describes the implementation of regular payment flow with OVO.
OVO's transaction expiry is set to 65 seconds, and customers have 55 seconds to complete purchase.
When users make a purchase using OVO
-
Users initiate a payment using OVO on Snap page.
-
OVO user got notification from their OVO app
-
Users complete the payment process in the OVO app.
-
The transaction is completed, and the users' OVO balance is deducted.
-
After payment, user could go back to the snap page, and it will automatically check transaction status.
-
Midtrans sends an HTTP notification (webhook) to the merchant's server with the final transaction status.
Sample JSON Request Body
{
"transaction_details": {
"order_id": "ORDER-101",
"gross_amount": 10000
},
"item_details": [{
"id": "ITEM1",
"price": 10000,
"quantity": 1,
"name": "Midtrans Bear",
"brand": "Midtrans",
"category": "Toys",
"merchant_name": "Midtrans"
}],
"customer_details": {
"first_name": "TEST",
"last_name": "MIDTRANSER",
"email": "[email protected]",
"phone": "+628123456"
},
"enabled_payments": ["ovo"]
}| Parameter | Description |
|---|---|
| transaction_details Transaction Details Object (required) | Unique transaction ID. |
| item_details Item Details Object (optional) | Item details to be paid by customer |
| customer_details Customer Details Object (optional) | Details of the customer.customer_details.phone will be used to pre-fill phone number in OVO payment page |
| enabled_payments Array (optional) | Set what payment method to show in the payment list. Value: ovo |